Subject: Re: [RFC] netdevice ops

From: David Miller <[email-masked]>
Date: Thu, 17 May 2007 21:50:03 -0700 (PDT)

From: Stephen Hemminger <[email-masked]>
Date: Thu, 17 May 2007 21:07:37 -0700

> I want to take all the function pointers of 'struct net_device' and
> move them to 'struct net_device_ops'. This will save memory for the
> case of lots of devices, as well as reduce initialization code.
> 
> Rough plan:
> 1. Introduce inline accessors so protocols don't dereference dev->XXX directly.
> 2. Fix protocols to use #1
> 3. Add ops field to net_device, and netdevice_register will fill in old values
>    in 'struct net_device'.
> 4...1300 Fix all network devices to use ops field
> 1301 Change accessors to use ops, get rid of old 'struct net_device' function pointers.
> 
> It isn't rocket science just another code exercise. I'll patch bomb it into something
> like 2.6.23-mm first.
> 
> This should really help the people who like to do 1000's of vlans etc.

 I have no objections.